Skip to content
Start here

List all TCP Flow Protection rules.

GET/accounts/{account_id}/magic/advanced_tcp_protection/configs/tcp_flow_protection/rules

List all TCP Flow Protection rules for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DDoS Protection WriteDDoS Protection Read
Path ParametersExpand Collapse
account_id: string

Identifier.

maxLength32
Query ParametersExpand Collapse
direction: optional string

The direction of ordering (ASC or DESC). Defaults to ‘ASC’.

order: optional string

The field to order by. Defaults to ‘prefix’.

page: optional number

The page number for pagination. Defaults to 1.

formatint64
per_page: optional number

The number of items per page. Must be between 10 and 1000. Defaults to 25.

formatint64
ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional array of object { id, burst_sensitivity, created_on, 5 more }
id: string

The unique ID of the TCP Flow Protection rule.

burst_sensitivity: string

The burst sensitivity. Must be one of ‘low’, ‘medium’, ‘high’.

created_on: string

The creation timestamp of the TCP Flow Protection rule.

formatdate-time
mode: string

The mode for TCP Flow Protection. Must be one of ‘enabled’, ‘disabled’, ‘monitoring’.

modified_on: string

The last modification timestamp of the TCP Flow Protection rule.

formatdate-time
name: string

The name of the TCP Flow Protection rule. Value is relative to the ‘scope’ setting. For ‘global’ scope, name should be ‘global’. For either the ‘region’ or ‘datacenter’ scope, name should be the actual name of the region or datacenter, e.g., ‘wnam’ or ‘lax’.

rate_sensitivity: string

The rate sensitivity. Must be one of ‘low’, ‘medium’, ‘high’.

scope: string

The scope for the TCP Flow Protection rule. Must be one of ‘global’, ‘region’, or ‘datacenter’.

result_info: optional object { count, page, per_page, 2 more }
count: optional number

Total number of results for the requested service.

page: optional number

Current page within paginated list of results.

per_page: optional number

Number of results per page of results.

total_count: optional number

Total results available without any search parameters.

total_pages: optional number

The number of total pages in the entire result set.

List all TCP Flow Protection rules.

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/advanced_tcp_protection/configs/tcp_flow_protection/rules \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "id",
      "burst_sensitivity": "burst_sensitivity",
      "created_on": "2019-12-27T18:11:19.117Z",
      "mode": "mode",
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "rate_sensitivity": "rate_sensitivity",
      "scope": "scope"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "id",
      "burst_sensitivity": "burst_sensitivity",
      "created_on": "2019-12-27T18:11:19.117Z",
      "mode": "mode",
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "rate_sensitivity": "rate_sensitivity",
      "scope": "scope"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}